### Что здесь лежит?
- `01.py` и `main_01.py` демонстрируют как разбивать
код на отдельный файлы;
- `02.py` -- пример простой типизированной функции;
- `03.py`-- обобщение частичной суммы ряда с помощью функций;
- `04.py` -- примеры функций-замыканий;

### Как запускать?

Желательно установить [mypy](https://github.com/python/mypy) или даже
[pyright](https://github.com/microsoft/pyright) и проверять типизацию
ими перед запусками:
```sh
$ mypy *.py
```
или
```sh
$ mypy 01.py
```

`01.py` и `02.py` можно запустить, как  и в прошлый раз:
```sh
$ python 01.py
```

Если файл содержит doctest _(прим.: пример в комментарии к функции; да, он
рабочий)_, добавьте флаг `-v` в конце:

```sh
$ python 03.py -v
```
