### Что здесь лежит?
- в директории `merge` -- типизированный код с реализацией
сортировки слиянием;
- в директории `tests` -- соответственно, тесты;

### Как запускать?

Желательно установить [mypy](https://github.com/python/mypy) или даже
[pyright](https://github.com/microsoft/pyright) и проверять типизацию
ими перед запусками:
```sh
$ mypy --install-types --show-error-codes --pretty .
```

_*Выясните самостоятельно:*_
что делают флаги `--install-types`, `--show-error-codes`, `--pretty`?

Для запуска тестов:
```sh
$ python -m unittest discover -v tests/
```
